import request from '@/utils/request'

/**
 * 获取菜单路由
 * @returns {AxiosPromise}
 */
export const getRouters = (roleIdList) => {
  const params = {
    'roleIdList': roleIdList
  }
  return request({
    url: '/role/getMenuTreeByRoleList',
    method: 'get',
    params
  })
}
