package com.judong.chuanyiserver;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;
import org.springframework.web.bind.annotation.CrossOrigin;

@CrossOrigin
@SpringBootApplication
@EnableScheduling
@MapperScan("com.judong.chuanyiserver.dao")
public class ChuanyiServerApplication {

    public static void main(String[] args) {
        SpringApplication.run(ChuanyiServerApplication.class, args);
    }

}
