package com.judong.chuanyiserver.controller;

import com.judong.chuanyiserver.service.ServerInService;
import com.judong.chuanyiserver.util.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("serverIn")
public class ServerInController {

    @Autowired
    private ServerInService serverInService;

    /**
     * 获取当前登录人配置保存的服务信息
     *
     * @return
     */
    @GetMapping("/selectServerByUser")
    public Result selectServerByUser() {
        return serverInService.selectServerByUser();
    }
}
