package com.judong.chuanyiserver.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
public class Menu implements Serializable {

    private static final long serialVersionUID = -96536212774977561L;

    /**
     * id
     */
    private Integer id;
    /**
     * 父id
     */
    private Integer parentId;
    /**
     * 菜单名称
     */
    private String menuName;
    /**
     * 菜单路径
     */
    private String menuUrl;
    /**
     * 菜单图标
     */
    private String menuIcon;
    /**
     * 排序号
     */
    private Integer sortNum;
    /**
     * 菜单状态1：可用，0：不可用
     */
    private Integer menuStatus;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改时间
     */
    private Date updateTime;

    private List<Permission> permissionList;
}
