package com.judong.chuanyiserver.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
public class User implements Serializable {

    private static final long serialVersionUID = -96536212774977561L;

    /**
     * 用户id
     */
    private String userId;
    /**
     * 用户名称
     */
    private String userName;
    /**
     * 用户密码
     */
    private String password;
    /**
     * sessionId传值
     */
    private String uid;
    /**
     * 验证码
     */
    private String verifyCode;
    /**
     * 用户类型0前端用户，1后端用户
     */
    private Integer userType;
    /**
     * 用户状态
     */
    private Integer state;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改时间
     */
    private Date updateTime;
    /**
     * 最后登录时间
     */
    private Date lastLoginTime;

    private List<Role> roleList;

    private List<Department> departmentList;


}
