package com.judong.chuanyiserver.annotation;


import java.lang.annotation.*;

/**
 * 加入此注解后，表明，需要管理员权限才能调动此接口
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)//用来修饰自定义注解的生命力。SOURCE，则它将被限定在Java源文件中。CLASS，则它将被编译到Class文件中。RUNTIME，在运行期的加载阶段被加载到Class对象中
@Target(ElementType.METHOD)//使用范围，表明使用在（方法）METHOD上面
public @interface PermissionControl {
}
