package com.judong.chuanyiserver.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Data
public class Department implements Serializable {

    private static final long serialVersionUID = -96536212774977561L;

    /**
     * id
     */
    private Integer id;
    /**
     * 父id
     */
    private Integer parentId;
    /**
     * 菜单名称
     */
    private String departmentName;
    /**
     * 菜单路径
     */
    private String departmentDescribe;
    /**
     * 排序号
     */
    private Integer departmentNum;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 逻辑删除，0未删除，1已删除
     */
    private Integer isDelete;

    /**
     * 子节点
     */
    private List<Department> children=new ArrayList<>();
}
