package com.judong.chuanyiserver.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class Log implements Serializable {

    private static final long serialVersionUID = -96536212774977561L;

    /**
     * 主键id
     */
    private Integer id;
    /**
     * 服务名称
     */
    private String serverName;
    /**
     * 模块名称
     */
    private String modelName;
    /**
     * 日志内容
     */
    private String content;
    /**
     * 用户id
     */
    private String userId;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * IP地址
     */
    private String ipAddress;
    /**
     * 操作状态
     */
    private Integer operationStatus;
    /**
     * 方法名
     */
    private String methodName;
    /**
     * 备注
     */
    private String remark;

}
