package com.judong.chuanyiserver.util;

/**
 * 全局常量
 */
public class ConstantStr {

    //管理员角色
    public static final Integer ROLE_ADMIN = 1;
    //普通用户角色
    public static final Integer ROLE_STAFF = 2;


    //redis过期时间设置
    public static final long HALF_MINUTE = 30;
    public static final long ONE_MINUTE = 60;
    public static final long FIVE_MINUTE = 60 * 5;
    public static final long TEN_MINUTE = 60 * 10;
    public static final long HALF_HOUR = 60 * 30;
    public static final long ONE_HOUR = 60 * 60;

    //用户类型，0前端用户，1后端用户
    public static final Integer FRONT_USER = 0;
    public static final Integer BACK_USER = 1;

    //用户状态，0正常，1锁定，2已逻辑删除
    public static final int NORMAL_USE = 0;
    public static final int LOCK_USER = 1;
    public static final int TOMBSTONE = 2;

    //OPC协议类型；0DA,1UA
    public static final int OPC_DA = 0;
    public static final int OPC_UA = 1;

    //菜单是否可用1：可用，0：不可用
    public static final Integer MENU_NOT_AVAILABLE = 0;
    public static final Integer MENU_AVAILABLE = 1;

    //顶级菜单常量
    public static final Integer TOP_LEVEL_MENU = 0;

    //UA登录是否匿名
    public static final Integer NOT_ANONYMOUS = 0;
    public static final Integer IS_ANONYMOUS = 1;

    //是否逻辑删除，0未删除，1已删除
    public static final Integer PUBLIC_NO_DELETE = 0;
    public static final Integer PUBLIC_IS_DELETE = 1;

}
